<html>
<head>
<title>OGRE: OgreRenderQueue.h File Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li><a href="classes.html"><span>Classes</span></a></li>
    <li class="current"><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="dir_d6c9b501d36b850bf0bac687671293db.html">OgreMain</a>&nbsp;&raquo&nbsp;<a class="el" href="dir_f35e1e76cd4423745a1cccb1f171d4e3.html">include</a></div>
<h1>OgreRenderQueue.h File Reference</h1><code>#include &quot;<a class="el" href="OgrePrerequisites_8h-source.html">OgrePrerequisites.h</a>&quot;</code><br>
<code>#include &quot;<a class="el" href="OgreIteratorWrappers_8h-source.html">OgreIteratorWrappers.h</a>&quot;</code><br>

<p>
<a href="OgreRenderQueue_8h-source.html">Go to the source code of this file.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Namespaces</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">namespace &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html">Ogre</a></td></tr>

<tr><td colspan="2"><br><h2>Classes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderQueue.html">Ogre::RenderQueue</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Class to manage the scene object rendering queue.  <a href="classOgre_1_1RenderQueue.html#_details">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderQueue_1_1RenderableListener.html">Ogre::RenderQueue::RenderableListener</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Class to listen in on items being added to the render queue.  <a href="classOgre_1_1RenderQueue_1_1RenderableListener.html#_details">More...</a><br></td></tr>
<tr><td colspan="2"><br><h2>Defines</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgreRenderQueue_8h.html#f7eb718b406b59b1762c3e37b90212b3">OGRE_RENDERABLE_DEFAULT_PRIORITY</a>&nbsp;&nbsp;&nbsp;100</td></tr>

<tr><td colspan="2"><br><h2>Enumerations</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html#d08013a341ff0ef07c39fa3502bf6c00">Ogre::RenderQueueGroupID</a> { <br>
&nbsp;&nbsp;<a class="el" href="namespaceOgre.html#d08013a341ff0ef07c39fa3502bf6c006f63169671858ecbaf90d237f5726cd4">Ogre::RENDER_QUEUE_BACKGROUND</a> =  0, 
<a class="el" href="namespaceOgre.html#d08013a341ff0ef07c39fa3502bf6c0085a7c54f44b9ac82523d80d19b6b2394">Ogre::RENDER_QUEUE_SKIES_EARLY</a> =  5, 
<a class="el" href="namespaceOgre.html#d08013a341ff0ef07c39fa3502bf6c0082534671938c174a7d681d89083ef7db">Ogre::RENDER_QUEUE_1</a> =  10, 
<a class="el" href="namespaceOgre.html#d08013a341ff0ef07c39fa3502bf6c0053b5d66a0512dfd2c311d7cc66b20381">Ogre::RENDER_QUEUE_2</a> =  20, 
<br>
&nbsp;&nbsp;<a class="el" href="namespaceOgre.html#d08013a341ff0ef07c39fa3502bf6c00de11af91b1f43096ff932b9c3843e5e4">Ogre::RENDER_QUEUE_WORLD_GEOMETRY_1</a> =  25, 
<a class="el" href="namespaceOgre.html#d08013a341ff0ef07c39fa3502bf6c0072b7acba73734142cfa10e9cc75962c9">Ogre::RENDER_QUEUE_3</a> =  30, 
<a class="el" href="namespaceOgre.html#d08013a341ff0ef07c39fa3502bf6c009e2ea42071d435e220510e556cd7406c">Ogre::RENDER_QUEUE_4</a> =  40, 
<a class="el" href="namespaceOgre.html#d08013a341ff0ef07c39fa3502bf6c00f9d31cc0cad8ce9890b4af5f9014f5be">Ogre::RENDER_QUEUE_MAIN</a> =  50, 
<br>
&nbsp;&nbsp;<a class="el" href="namespaceOgre.html#d08013a341ff0ef07c39fa3502bf6c00531fdb018ca4d5ff2ba7a97fba949bbe">Ogre::RENDER_QUEUE_6</a> =  60, 
<a class="el" href="namespaceOgre.html#d08013a341ff0ef07c39fa3502bf6c00bc64da9d300b2d65a19e5fc0bfa05d58">Ogre::RENDER_QUEUE_7</a> =  70, 
<a class="el" href="namespaceOgre.html#d08013a341ff0ef07c39fa3502bf6c00256a799730f10076007fd0411e033b1f">Ogre::RENDER_QUEUE_WORLD_GEOMETRY_2</a> =  75, 
<a class="el" href="namespaceOgre.html#d08013a341ff0ef07c39fa3502bf6c0031ac7ce7cf426c952976a3fdcc3e4e8e">Ogre::RENDER_QUEUE_8</a> =  80, 
<br>
&nbsp;&nbsp;<a class="el" href="namespaceOgre.html#d08013a341ff0ef07c39fa3502bf6c005c4ab4460dc0489bbc5ea049d8412d21">Ogre::RENDER_QUEUE_9</a> =  90, 
<a class="el" href="namespaceOgre.html#d08013a341ff0ef07c39fa3502bf6c0053468f34583f3a469cc8ca2f444fb6ff">Ogre::RENDER_QUEUE_SKIES_LATE</a> =  95, 
<a class="el" href="namespaceOgre.html#d08013a341ff0ef07c39fa3502bf6c0051f548bb157ad908542478155f7d807b">Ogre::RENDER_QUEUE_OVERLAY</a> =  100, 
<a class="el" href="namespaceOgre.html#d08013a341ff0ef07c39fa3502bf6c002d1e261d9e3298b1cb7272b392f550b1">Ogre::RENDER_QUEUE_MAX</a> =  105
<br>
 }</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Enumeration of queue groups, by which the application may group queued renderables so that they are rendered together with events in between.  <a href="namespaceOgre.html#d08013a341ff0ef07c39fa3502bf6c00">More...</a><br></td></tr>
</table>
<hr><h2>Define Documentation</h2>
<a class="anchor" name="f7eb718b406b59b1762c3e37b90212b3"></a><!-- doxytag: member="OgreRenderQueue.h::OGRE_RENDERABLE_DEFAULT_PRIORITY" ref="f7eb718b406b59b1762c3e37b90212b3" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define OGRE_RENDERABLE_DEFAULT_PRIORITY&nbsp;&nbsp;&nbsp;100          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreRenderQueue_8h-source.html#l00069">69</a> of file <a class="el" href="OgreRenderQueue_8h-source.html">OgreRenderQueue.h</a>.</p>

</div>
</div><p>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:48:58 2008
</p>
</body>
</html>
